import disnake
from disnake.ext import commands
from DscPyDB import LevelDB

bot = commands.Bot(command_prefix="!", intents=disnake.Intents.all())
db = LevelDB()


@bot.command(name="rank")
async def member_rank(ctx: commands.Context):
    user = await db.create_account(ctx.author.id, 5, 1)
    embed = disnake.Embed(title="Ranks!", description=f"Experience: **{user.xp}**\nLevel: {user.level}", color=ctx.author.color)
    await ctx.send(embed=embed)

@bot.listen('on_message')
async def level_message(message: disnake.Message):
    if message.author.bot: 
        return
    user = await db.create_account(message.author.id, 5, 1)

    new_xp = user.xp + 5

    await db.update_account(message.author.id, xp=new_xp)

    if new_xp%10==0:
        return await db.update_account(message.author.id, level=user.level+1)

bot.run('token')