from DscPyDB import EconomyDB
from disnake.ext import commands
import disnake
import random

bot = commands.Bot(command_prefix="!", intents=disnake.Intents.all())
db = EconomyDB()

@bot.command(name="cf")
async def coinflip(ctx: commands.Context, amount: int):
    user = await db.create_account(ctx.author.id, 500, 1000)

    if user.wallet < amount:
        return await ctx.send("not enough coins")
    
    c = random.choice([1, 3])

    if c == 1:
        await ctx.send(f'you won {amount*2} coins!')
        return await db.update_account(ctx.author.id, wallet_amount=user.wallet+amount*2)
    
    await ctx.send(f'you lost {amount} coins!')
    return await db.update_account(ctx.author.id, wallet_amount=user.wallet-amount)

@bot.command(name="bal")
async def balance(ctx: commands.Context):
    user = await db.create_account(ctx.author.id, 500, 1000)
    embed = disnake.Embed(title="Balance!", description=f"Wallet: **{user.wallet}**\nBank: {user.bank}", color=ctx.author.color)
    await ctx.send(embed=embed)

bot.run('token')